// +build go1.7

/*

   _____ _ _        _
  / ____(_) |      | |
 | |  __ _| |_ ___ | |_ ___
 | | |_ | | __/ _ \| __/ _ \
 | |__| | | || (_) | ||  __/
  \_____|_|\__\___/ \__\___|

*/

package main

import (
	"gitote/gitote/cmd"
	"gitote/gitote/pkg/setting"
	"os"

	"github.com/urfave/cli"
)

// AppVer represents the version of Gitote
const AppVer = "1.0.0-prod-rc.1"

func init() {
	setting.AppVer = AppVer
}

func main() {
	app := cli.NewApp()
	app.Name = "Gitote"
	app.Usage = "Software version control made simple"
	app.Version = AppVer
	app.Commands = []cli.Command{
		cmd.Web,
		cmd.Serv,
		cmd.Hook,
		cmd.Cert,
		cmd.Admin,
		cmd.Import,
	}
	app.Run(os.Args)
}
